/******************************************************************************
 * file:  NodeField.java
 * author:  Dirk Zitterell
 * description:  a field within a tape node
 *****************************************************************************/

class NodeField {

    /* variables */
    private char symbol;
    private int index;

    /* empty constructor */
    public NodeField() {
	this.symbol = '*';
	this.index = -1;
    }

    /* constructor */
    public NodeField(char symbol, int index) {
	this.symbol = symbol;
	this.index = index;
    }

    /* returns the symbol of this node field*/
    public char getSymbol() {
	return this.symbol;
    }

    /* sets the symbol of this node field*/
    public void setSymbol(char symbol) {
	this.symbol = symbol;
    }

    /* returns the index of this node field*/
    public int getIndex() {
	return this.index;
    }

    /* sets the index of this node field*/
    public void setIndex(int index) {
	this.index = index;
    }

    /* returns a String representing this object */
    public String toString() {
	String str = "";
	str += this.symbol;
	return str;
    }
}
